enchant();
window.onload = function() {
    var game = new Game(320, 320);
    game.preload('chara1.gif');
    game.onload = function() {
    	var navLabel = new Label("NavigationBar");
    	navLabel.color="#ffffff";
    	navLabel.textAlign="center";
        var navigationBar = new NavigationBar(navLabel); // ナビゲーションバーを作成
        game.rootScene.addChild(navigationBar);

		enchant.widget._env.dialogHeight = 120;
        var confirmScene = new ConfirmScene('This is sample code', 'yes', 'no'); // コンファームシーンを作成
        game.pushScene(confirmScene);

        
		//巨大なクマだけがでてくるシーン
		bigBearScene = new Scene();
		var bigBear = new Sprite(32,32);
		bigBear.image = game.assets['chara1.gif'];
		bigBear.frame=0;
		bigBear.scaleX=4;
		bigBear.scaleY=4;
		bigBear.x=150;
		bigBear.y=150;
		bigBear.ontouchend=function(){
			game.transitionPop();
		}
		bigBearScene.addChild(bigBear);
		
        
        
        /*
        * new ListView(width, height, draggable)
        * ListView オブジェクトを作成する。
        * 横幅、縦幅、項目をドラッグ可能かを設定する。
        */
        var listView = new ListView(320, 320 - navigationBar.height, true); // リストビューを作成
        listView.y = navigationBar.height;

        // 項目を20個作成する
        for (var i = 0; i < 20; i++) {
			var bear = new Sprite(32,32);
			bear.image = game.assets['chara1.gif'];
			bear.frame=i;
            var item = new ListItem(320, 48,"frame:"+i,bear); // リストアイテムを作成
	        item.ontap=function(){
                this.icon.tl.moveBy(100,0,30,enchant.Easing.QUINT_EASEOUT);
				bigBear.frame=this.icon.frame;
        		game.transitionPush(bigBearScene);
    	    }
            listView.addChild(item); // リストビューに項目を追加
        }
        
        game.rootScene.addChild(listView);
//		game.rootScene.addChild(bear);
    };
    game.start();
};
